<?php
/**
 * ISC License
 *
 * Copyright (c) 2024 idnovate.com
 * idnovate is a Registered Trademark & Property of idnovate.com, innovación y desarrollo SCP
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
 * REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
 * INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 *
 * @author    idnovate
 * @copyright 2024 idnovate
 * @license   https://www.isc.org/licenses/ https://opensource.org/licenses/ISC ISC License
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

function upgrade_module_1_5_3($module)
{
    if (Module::isInstalled('cdc_googletagmanager')) {
        $module->registerHook('displayAfterTitle');
    }

    if (Module::isInstalled('cdc_googletagmanager')) {
        $cdc_googletagmanager = Module::getInstanceByName('cdc_googletagmanager');
        if (version_compare($cdc_googletagmanager->version, '5', '>')) {
            $module->registerHook('displayAfterTitle');
            $module->updatePosition(Hook::getIdByName('displayAfterTitle'), 0, 1);
        } else {
            $module->registerHook('displayAfterTitleTag');
            $module->updatePosition(Hook::getIdByName('displayAfterTitleTag'), 0, 1);
        }
    }

    return true;
}
