{**
 * ISC License
 *
 * Copyright (c) 2024 idnovate.com
 * idnovate is a Registered Trademark & Property of idnovate.com, innovación y desarrollo SCP
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
 * REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
 * INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 *
 * @author    idnovate
 * @copyright 2024 idnovate
 * @license   https://www.isc.org/licenses/ https://opensource.org/licenses/ISC ISC License
 *}
<script data-keepinline='true'>
    let cookiesplusCookieValue = null;

    for (let cookie of document.cookie.split(';')) {
        let [cookieName, value] = cookie.trim().split('=');
        if (cookieName === 'cookiesplus') {
            cookiesplusCookieValue = decodeURIComponent(value);
        }
    }

    cookiesplusCookieValue = JSON.parse(cookiesplusCookieValue);

    // Define keys and their default values
    Object.keys({
        'ad_storage': false,
        'ad_user_data': false,
        'ad_personalization': false,
        'analytics_storage': false,
        'functionality_storage': false,
        'personalization_storage': false,
        'security_storage': false,
    }).forEach(function (key) {
        window[key] = false;
    });

    // Check and update values based on cookiesplusCookieValue
    if (cookiesplusCookieValue && cookiesplusCookieValue.consent_mode) {
        cookiesplusConsents = Object.keys(cookiesplusCookieValue.consent_mode).filter(v => v.startsWith('cookiesplus-finality'));

        cookiesplusConsents.forEach(function (key) {
            const consent_type = cookiesplusCookieValue.consent_mode?.[key]?.consent_type;
            if (typeof cookiesplusCookieValue.consents !== 'undefined'
                && typeof cookiesplusCookieValue.consents[key] !== 'undefined'
                && cookiesplusCookieValue.consents[key] === 'on' && consent_type) {
                Object.entries(consent_type).forEach(([innerKey, value]) => {
                    if (value) {
                        window[innerKey] = true;
                    }
                });
            }
        });
    }

    window.dataLayer = window.dataLayer || [];
    function gtag() { dataLayer.push(arguments); }

    gtag('consent', 'default', {
        'ad_storage' : ad_storage ? 'granted' : 'denied',
        'ad_user_data' : ad_user_data ? 'granted' : 'denied',
        'ad_personalization' : ad_personalization ? 'granted' : 'denied',
        'analytics_storage' : analytics_storage ? 'granted' : 'denied',
        'functionality_storage' : functionality_storage ? 'granted' : 'denied',
        'personalization_storage' : personalization_storage ? 'granted' : 'denied',
        'security_storage' : security_storage ? 'granted' : 'denied',
        'wait_for_update' : 500
    });

    gtag('set', 'url_passthrough', true);
    gtag('set', 'ads_data_redaction', true);
</script>
